Bug 308711 - Problems Updating Via Yum Due to Strange Java-1.5.0-GCJ Dependencies
Problems Updating Via Yum Due to Strange Java-1.5.0-GCJ Dependencies
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 07:17 EDT by Chris Spencer
Modified: 2014-01-21 17:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This shows the packages that were listed to be updated when the error occurred. (81.25 KB, image/png)
2007-10-16 06:44 EDT, Chris Spencer
no flags Details
This shows the window containing the error message. (21.38 KB, image/png)
2007-10-16 06:46 EDT, Chris Spencer
no flags Details
output of "yum -d 7 update" (71.53 KB, text/plain)
2007-10-17 18:37 EDT, Chris Spencer
no flags Details

  None (edit)
Description Chris Spencer 2007-09-27 07:17:46 EDT
Description of problem:
Updating software is routinely interrupted with due to problems resolving
dependencies for java-1.5.0-gcj. I have to unselect package updates by trial and
error in order to remove the message. I don't even have java-1.5.0-gcj installed
(but I do have java-1.5.0-sun installed), so I don't understand why Yum would be
complaining about dependencies.

How reproducible:
Difficult to reproduce. Try uninstalling java-1.5.0-gcj, and install
java-1.5.0-sun, aircrack-ng, tomcat5, or other java-dependent packages.
Comment 1 Seth Vidal 2007-09-27 08:54:00 EDT
can you report the error you're seeing? Otherwise we don't have much to go on.
Comment 2 Chris Spencer 2007-10-16 06:43:02 EDT
Just ran Software Updater, and again received the error "Missing Dependency:
/usr/bin/rebuild-security-providers is needed by package java-1.5.0-gcj".

I'll attach screenshots of the Updater's screen and error message.
Comment 3 Chris Spencer 2007-10-16 06:44:42 EDT
Created attachment 228541 [details]
This shows the packages that were listed to be updated when the error occurred.
Comment 4 Chris Spencer 2007-10-16 06:46:09 EDT
Created attachment 228551 [details]
This shows the window containing the error message.
Comment 5 Seth Vidal 2007-10-16 09:28:30 EDT
Do you have jpackage-utils installed?
Comment 6 Chris Spencer 2007-10-16 17:56:20 EDT
Yes.

jpackage-utils.noarch                    1.7.3-2jpp             installed       
Matched from:
jpackage-utils
Utilities for the JPackage Project <http://www.jpackage.org/>:
Comment 7 Seth Vidal 2007-10-17 14:12:31 EDT
okay cna you provide the output of:

yum -d 7 update

thanks
Comment 8 Chris Spencer 2007-10-17 18:37:34 EDT
Created attachment 230441 [details]
output of "yum -d 7 update"
Comment 9 Seth Vidal 2007-10-17 22:16:05 EDT
ah ha. okay - please update to yum 3.2.7 from updates testing and see if it
still has this issue.
Comment 10 Seth Vidal 2007-12-06 22:13:37 EST
ping?
Comment 11 Chris Spencer 2007-12-07 07:41:47 EST
Sorry, I should have mentioned the issue was reported using yum 3.2.7.
Comment 12 Seth Vidal 2008-03-12 10:45:36 EDT
which 3.2.7? Can you recreate this with yum 3.2.8 or higher? We've solved a lot
of depsolving bugs since october.
Comment 13 Bug Zapper 2008-05-14 10:32:10 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Jeremy Katz 2008-05-28 15:56:12 EDT
Closing due to inactivity; please reopen if you continue to see this problem or
have more information to add to this report

Note You need to log in before you can comment on or make changes to this bug.